%global commit 5a9950d5d78d3fd559f9919886918ade4c238a03
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           takari-filemanager
Version:        0.8.0
Release:        2%{?dist}
Summary:        Takari file concurrency utilities

License:        EPL
URL:            https://github.com/takari/%{name}
Source0:        https://github.com/takari/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch
Obsoletes:      tesla-filelock <= 0.0.2-2

BuildRequires: maven-local
BuildRequires: mvn(edu.umd.cs:multithreadedtc)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires: mvn(org.slf4j:slf4j-api)

%description
Java library for working with concurrent file management from takari.io.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{commit}

# Doesn't really need the parent
%pom_remove_parent
%pom_xpath_inject pom:project "<groupId>io.takari</groupId>"

# Fedora has multithreadedtc with a differend gid
%pom_remove_dep com.googlecode.multithreadedtc:multithreadedtc
%pom_add_dep edu.umd.cs:multithreadedtc

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc eclipse-1.0.txt

%files javadoc -f .mfiles-javadoc
%doc eclipse-1.0.txt

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Gerard Ryan <galileo@fedoraproject.org> - 0.8.0-1
- Package rename to takari-filemanager; update to latest upstream
- License is now included in upstream sources
- Add Obsoletes tesla-filelock

* Fri Nov 22 2013 Gerard Ryan <galileo@fedoraproject.org> - 0.0.2-1
- Initial rpm
